'use strict';

const request = require('./request');
const middleware = require('./middleware');
const correlation = require('./correlation');
const authEntitiy = require('@codefresh-io/authenticated-entity');

authEntitiy.setInternalRequestLogic(request);

module.exports = Object.assign(
    {},
    { request },
    correlation,
    middleware,
    { authEntitiy }
);
